Reassign a fleet to a different org (admin only)

View as Markdown

Reassigns an existing private fleet to the specified org. The fleet must be private (not public). Both the current and target org must have no active simulations. The target org must not already have a fleet.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this fleet.

Request

This endpoint expects an object.
namestringOptional1-128 characters
orgstringOptional>=1 character
Name of the target organization to reassign the fleet to.

Response

idstringRead-onlyformat: "uuid"
createddatetimeRead-only
modifieddatetimeRead-only
namestringRead-only
org_namestring or nullRead-only
Name of the organization that owns this fleet, or null for public fleets.
clusterstring or nullRead-onlyformat: "uuid"
The cluster that the fleet is a member of.
flagsobjectOptional
Behavior flags for the fleet.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error